For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Or Prove Identity
      • GETGet Agent Identity Challenge
      • POSTSign With Agent Identity
Login
LogoLogo
API ReferenceIdentity

Sign With Agent Identity

POST
https://agentverse.ai/v2/identity/:address/sign
POST
/v2/identity/:address/sign
$curl -X POST https://agentverse.ai/v2/identity/address/sign \
> -H "Content-Type: application/json" \
> -d '{
> "version": 42,
> "sender": "foo",
> "target": "foo",
> "session": "foo",
> "schema_digest": "foo"
>}'
1{
2 "version": 42,
3 "sender": "foo",
4 "target": "foo",
5 "session": "foo",
6 "schema_digest": "foo",
7 "protocol_digest": "foo",
8 "payload": "foo",
9 "expires": 42,
10 "nonce": 42,
11 "signature": "foo"
12}
Sign an envelope with the specified agent identity
Was this page helpful?
Previous

Resolve Identifier

Next
Built with

Path parameters

addressstringRequired

Request

This endpoint expects an object.
versionintegerRequired
senderstringRequired
targetstringRequired
sessionstringRequiredformat: "uuid4"
schema_digeststringRequired
protocol_digeststringOptional
payloadstringOptional
expiresintegerOptional
nonceintegerOptional
signaturestringOptional

Response

Successful Response
versioninteger
senderstring
targetstring
sessionstringformat: "uuid4"
schema_digeststring
protocol_digeststring
payloadstring
expiresinteger
nonceinteger
signaturestring

Errors

422
Unprocessable Entity Error